summaryrefslogtreecommitdiffstats
path: root/util/what-architecture-am-i-using
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2023-12-03 19:23:35 +0100
committerMattias Andrée <maandree@kth.se>2023-12-03 19:23:35 +0100
commitc131f122778c62f920a99bbf854ced4a37ee8b03 (patch)
tree14c933f98f4d64dffb0a594bc40dd5121c6c5a8e /util/what-architecture-am-i-using
downloadlibsyscalls-c131f122778c62f920a99bbf854ced4a37ee8b03.tar.gz
libsyscalls-c131f122778c62f920a99bbf854ced4a37ee8b03.tar.bz2
libsyscalls-c131f122778c62f920a99bbf854ced4a37ee8b03.tar.xz
First commit
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to '')
-rwxr-xr-xutil/what-architecture-am-i-using22
1 files changed, 22 insertions, 0 deletions
diff --git a/util/what-architecture-am-i-using b/util/what-architecture-am-i-using
new file mode 100755
index 0000000..e64d255
--- /dev/null
+++ b/util/what-architecture-am-i-using
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+dir="$(dirname -- "$0")"
+
+for cmd in "$dir"/../*/what-architecture-am-i-using; do
+ if printf '%s\n' "$cmd" | grep '/util/what-architecture-am-i-using$' > /dev/null; then
+ continue
+ fi
+ "$cmd" "$@"
+ status=$?
+ if test $status = 0; then
+ exit 0
+ elif test $status = 1; then
+ printf '%s\n' 'Architecture not recognised' >&2
+ printf 'UNRECOGNISED\n'
+ exit 1
+ fi
+done
+
+printf '%s\n' 'Operating system not recognised' >&2
+printf 'UNRECOGNISED\n'
+exit 2